Cancel
Showing results for 
Search instead for 
Did you mean: 

OS requirements

N/A
is there a student download that is compatible on an Apple Macbook OS 10.6.3 ?
Need help ASAP
1 REPLY

Re: OS requirements

N/A
On 14/07/2012 04:05, berrymatthew0@gmail.com wrote:
>
> is there a student download that is compatible on an Apple Macbook OS
> 10.6.3 ?
> Need help ASAP
>
>

Solid Edge has been developed as a Windows native product and will not
run on another OS.
Can you run a Windows7 emulation on the Mac? That might work, but there
may be problems anyway.